For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all listings
        • GETGet all pricing
        • GETGet a listing by ID
        • PUTUpdate Listing: Entrata - Not Supported
        • POSTCreate Listing: Entrata
        • POSTCreate Listing: Entrata - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataListings

Create Listing: Entrata

POST
/v1/listings/entrata/
POST
/v1/listings/entrata/
$curl -X POST https://api.propexo.com/v1/listings/entrata/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg-987654321",
> "property_id": "prop-123456789",
> "lease_period_id": "lease-2024Q2",
> "floor_plan_id": "fp-3bed-2bath",
> "unit_type_id": "ut-apt-deluxe",
> "city": "Austin",
> "country": "USA",
> "date_available": "2024-01-15T09:30:00Z",
> "number": "12B",
> "state": "TX",
> "street_address_1": "1234 Maple Avenue",
> "zip": "78701"
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-001"
4 },
5 "result": {
6 "integration_id": "intg-987654321",
7 "property_id": "prop-123456789",
8 "lease_period_id": "lease-2024Q2",
9 "floor_plan_id": "fp-3bed-2bath",
10 "unit_type_id": "ut-apt-deluxe",
11 "bathrooms": 2,
12 "bedrooms": 3,
13 "city": "Austin",
14 "country": "USA",
15 "date_available": "2024-01-15T09:30:00Z",
16 "is_furnished": true,
17 "number": "12B",
18 "square_feet": 1450.5,
19 "state": "TX",
20 "street_address_1": "1234 Maple Avenue",
21 "street_address_2": "Unit 12B",
22 "zip": "78701",
23 "amenity_ids": [
24 "amenity-pool",
25 "amenity-gym",
26 "amenity-parking"
27 ]
28 }
29}
Create Listing: Entrata | Method | |---| | propertyunits/sendPropertyUnits | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>
Was this page helpful?
Previous

Create Listing: Entrata - Not Supported

Next
Built with

Create Listing: Entrata

Method
propertyunits/sendPropertyUnits
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
property_idstringRequired
The Propexo unique identifier for the property
lease_period_idstringRequired
The Propexo unique identifier for the lease period
floor_plan_idstringRequired
The Propexo unique identifier for the floor plan
unit_type_idstringRequired
The Propexo unique identifier for the unit type
citystringRequired
The city associated with the listing
countrystringRequired
The country associated with the listing
date_availablestringRequired
The date that the listing becomes available
numberstringRequired
The unit number
statestringRequired
The state associated with the listing
street_address_1stringRequired
The first address line associated with the listing
zipstringRequired
The zip code associated with the listing
amenity_idslist of stringsOptional
The Propexo unique identifier for the amenity
bathroomsintegerOptional
The number of bathrooms associated with the listing
bedroomsintegerOptional
The number of bedrooms associated with the listing
is_furnishedbooleanOptional
Whether the listing is furnished
square_feetdoubleOptional
The square footage of the listing
street_address_2stringOptional
The second address line associated with the listing

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error